NonPositiveInteger (Axis API)
Keywords: org.apache.axis.types.NonPositiveInteger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NonPositiveInteger

    java.lang.Object
      java.lang.Number
          java.math.BigInteger
              org.apache.axis.types.NonPositiveInteger

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  NegativeInteger

public class NonPositiveInteger
extends java.math.BigInteger

Custom class for supporting primitive XSD data type nonPositiveInteger nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The value space of nonPositiveInteger is the infinite set {...,-2,-1,0}.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.14, Serialized Form

Nested Class Summary
`protected static class` | `NonPositiveInteger.BigIntegerRep`

Field Summary

Fields inherited from class java.math.BigInteger
`ONE, ZERO`

Constructor Summary
`NonPositiveInteger(byte[] val)`
`NonPositiveInteger(int signum, byte[] magnitude)`
`NonPositiveInteger(int bitLength, int certainty, java.util.Random rnd)`
`NonPositiveInteger(int numBits, java.util.Random rnd)`
`NonPositiveInteger(java.lang.String val)`
`NonPositiveInteger(java.lang.String val, int radix)`

Method Summary
`java.lang.Object` | `writeReplace()` Work-around for http://developer.java.sun.com/developer/bugParade/bugs/4378370.html

Methods inherited from class java.math.BigInteger
`abs, add, and, andNot, bitCount, bitLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, equals, flipBit, floatValue, gcd, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, max, min, mod, modInverse, modPow, multiply, negate, not, or, pow, probablePrime, remainder, setBit, shiftLeft, shiftRight, signum, subtract, testBit, toByteArray, toString, toString, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonPositiveInteger

    public NonPositiveInteger(byte[] val)

### NonPositiveInteger

    public NonPositiveInteger(int signum,
                              byte[] magnitude)

### NonPositiveInteger

    public NonPositiveInteger(int bitLength,
                              int certainty,
                              java.util.Random rnd)

### NonPositiveInteger

    public NonPositiveInteger(int numBits,
                              java.util.Random rnd)

### NonPositiveInteger

    public NonPositiveInteger(java.lang.String val)

### NonPositiveInteger

    public NonPositiveInteger(java.lang.String val,
                              int radix)

Method Detail

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Work-around for http://developer.java.sun.com/developer/bugParade/bugs/4378370.html

  Returns:
    BigIntegerRep
  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.